List notification preferences
GET
/v1/notifications/preferences
const url = 'https://api.adversarial.com/api/v1/notifications/preferences';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.adversarial.com/api/v1/notifications/preferencesResponses
Section titled “Responses”Preferences retrieved successfully
Media typeapplication/json
Response containing all notification preferences
object
available_channels
required
Available notification channels for the organization
Array<string>
categories
required
Notification categories with their preferences
Array<object>
Category containing notification types with their channel preferences
object
category
required
The notification category
string
notification_types
required
Notification types with their channel preferences
Array<object>
Notification type with its channel preferences
object
display_name
required
The display name of the notification type
string
enabled_channels
required
List of channels that are enabled for this notification type
Array<string>
is_global
required
If true, this notification type is subscribed at the type level (global) rather than for specific items
boolean
notification_type
required
The notification type
string
platform_mandatory
required
If true, the Platform channel preference is mandatory and cannot be disabled
boolean
Example
{ "available_channels": [ "Platform" ], "categories": [ { "category": "Threats", "notification_types": [ { "enabled_channels": [ "Platform" ], "notification_type": "AssignedRisk" } ] } ]}Unauthorized